%define _with_mpg123 1
#
# spec file for package love
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with mpg123

Name:           love
Version:        0.8.0
Release:        10.4
Summary:        2D gaming engine written in Lua
License:        Zlib
Group:          Development/Languages/Other
Url:            http://love2d.org/
Source:         https://bitbucket.org/rude/love/downloads/%{name}-%{version}-linux-src.tar.gz
Patch1:         love-remove-mpg123.patch
Patch2:         love-modplug.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  physfs-devel
BuildRequires:  pkgconfig(IL)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(lua) < 5.2
BuildRequires:  pkgconfig(lua) >= 5.1
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(vorbisfile)
%if %{with mpg123}
BuildRequires:  pkgconfig(libmpg123)
%endif

%description
LÖVE is a framework for making 2D games in Lua.

%prep
%setup -q
sed -i 's/\r$//' *.txt
%if ! %{with mpg123}
%patch1
rm -f src/modules/sound/lullaby/Mpg123Decoder.{cpp,h}
%endif
%if 0%{?suse_version} < 1210
%patch2
%endif

%build
%if ! %{with mpg123}
autoreconf -fi
%endif
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files
%defattr(-,root,root)
%doc changes.txt license.txt readme.md
%{_bindir}/love

%changelog
* Sun Feb 17 2013 jengelh@inai.de
- Sanitize description to not read like an ad. Use project's
  actual name with diacritic marks.
- Use more robust make install call.
* Sun Apr 15 2012 prusnak@opensuse.org
- updated to 0.8.0 release
- removed unneeded_deps.patch (applied upstream)
* Thu Mar 22 2012 reddwarf@opensuse.org
- make MP3 support optional
- change licence to follow SPDX
- remove unneded libmng-devel and libtiff-devel build dependencies
- use pkgconfig() style build dependencies
- remove love-modplug.patch for >= 12.1
- force lua 5.1 and add autotools BT to fix Factory build
* Sun Mar 11 2012 prusnak@opensuse.org
- update to mercurial tip (upcoming 0.8.0)
* Tue Sep 13 2011 jmatejek@suse.com
- build fix - added devel dependencies for DevIL
- standard group name
* Wed Jun 22 2011 prusnak@opensuse.org
- created package (version 0.7.2)
